Library initialization

## Functions

psa_status_t | psa_crypto_init (void)
| Library initialization. More...

## Detailed Description

## Function Documentation

## psa_crypto_init()

psa_status_t psa_crypto_init | ( | void |  | ) |

Library initialization.

Applications must call this function before calling any other function in this module.

Applications may call this function more than once. Once a call succeeds, subsequent calls are guaranteed to succeed.

If the application calls other functions before calling psa_crypto_init(), the behavior is undefined. Implementations are encouraged to either perform the operation as if the library had been initialized or to return PSA_ERROR_BAD_STATE or some other applicable error. In particular, implementations should not return a success status if the lack of initialization may have security implications, for example due to improper seeding of the random number generator.

Return values

  PSA_SUCCESS |
  PSA_ERROR_INSUFFICIENT_MEMORY |
  PSA_ERROR_INSUFFICIENT_STORAGE |
  PSA_ERROR_COMMUNICATION_FAILURE |
  PSA_ERROR_HARDWARE_FAILURE |
  PSA_ERROR_CORRUPTION_DETECTED |
  PSA_ERROR_INSUFFICIENT_ENTROPY |
  PSA_ERROR_STORAGE_FAILURE |
  PSA_ERROR_DATA_INVALID |
  PSA_ERROR_DATA_CORRUPT |